Loading...
Searching...
No Matches
XrdCl::PlugInFactory Class Referenceabstract

Plugin factory. More...

`#include <XrdClPlugInInterface.hh>`

Inheritance diagram for XrdCl::PlugInFactory:
Collaboration diagram for XrdCl::PlugInFactory:

## Public Member Functions

virtual | ~PlugInFactory ()
| Destructor.
virtual FilePlugIn * | CreateFile (const std::string &url)=0
| Create a file plug-in for the given URL.
virtual FileSystemPlugIn * | CreateFileSystem (const std::string &url)=0
| Create a file system plug-in for the given URL.

## Detailed Description

Plugin factory.

Definition at line 548 of file XrdClPlugInInterface.hh.

## Constructor & Destructor Documentation

## ~PlugInFactory()

virtual XrdCl::PlugInFactory::~PlugInFactory | ( |  | ) |

inline virtual

Destructor.

Definition at line 554 of file XrdClPlugInInterface.hh.

{}

## Member Function Documentation

## CreateFile()

virtual FilePlugIn * XrdCl::PlugInFactory::CreateFile | ( | const std::string & | url | ) |

pure virtual

Create a file plug-in for the given URL.

Implemented in XrdCl::EcPlugInFactory, XrdCl::RecorderFactory, and xrdcl_proxy::ProxyFactory.

Referenced by XrdCl::File::Open().

Here is the caller graph for this function:

## CreateFileSystem()

virtual FileSystemPlugIn * XrdCl::PlugInFactory::CreateFileSystem | ( | const std::string & | url | ) |

pure virtual

Create a file system plug-in for the given URL.

Implemented in XrdCl::EcPlugInFactory, XrdCl::RecorderFactory, and xrdcl_proxy::ProxyFactory.

Referenced by XrdCl::FileSystem::FileSystem().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdClPlugInInterface.hh